<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__global__filter__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_global_filter_config_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__global__filter__config__t_1abbd6e30ca429e9f46a03593f3a234042" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga5ce2c01ca9806831dc539727d173e59c">cy_en_accept_non_matching_frames_t</ref></type>
        <definition>cy_en_accept_non_matching_frames_t cy_stc_canfd_global_filter_config_t::nonMatchingFramesStandard</definition>
        <argsstring />
        <name>nonMatchingFramesStandard</name>
        <briefdescription>
<para>Non matching frames standard. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="904" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="904" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__global__filter__config__t_1a7c90e10439cb1881407990c66e521fd3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga5ce2c01ca9806831dc539727d173e59c">cy_en_accept_non_matching_frames_t</ref></type>
        <definition>cy_en_accept_non_matching_frames_t cy_stc_canfd_global_filter_config_t::nonMatchingFramesExtended</definition>
        <argsstring />
        <name>nonMatchingFramesExtended</name>
        <briefdescription>
<para>Non matching frames extended. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="905" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="905" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__global__filter__config__t_1a253ee042fc7fa7feb2b41de48eb031b4" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_canfd_global_filter_config_t::rejectRemoteFramesStandard</definition>
        <argsstring />
        <name>rejectRemoteFramesStandard</name>
        <briefdescription>
<para>Reject remote frames standard. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="906" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="906" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__global__filter__config__t_1a469ee9c7aeb3de6b1998b9dbf0cd90d2" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_canfd_global_filter_config_t::rejectRemoteFramesExtended</definition>
        <argsstring />
        <name>rejectRemoteFramesExtended</name>
        <briefdescription>
<para>Reject remote frames extended. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="907" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="907" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Global filter configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="908" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="902" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="903" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__global__filter__config__t_1a7c90e10439cb1881407990c66e521fd3" virt="non-virtual"><scope>cy_stc_canfd_global_filter_config_t</scope><name>nonMatchingFramesExtended</name></member>
      <member prot="public" refid="structcy__stc__canfd__global__filter__config__t_1abbd6e30ca429e9f46a03593f3a234042" virt="non-virtual"><scope>cy_stc_canfd_global_filter_config_t</scope><name>nonMatchingFramesStandard</name></member>
      <member prot="public" refid="structcy__stc__canfd__global__filter__config__t_1a469ee9c7aeb3de6b1998b9dbf0cd90d2" virt="non-virtual"><scope>cy_stc_canfd_global_filter_config_t</scope><name>rejectRemoteFramesExtended</name></member>
      <member prot="public" refid="structcy__stc__canfd__global__filter__config__t_1a253ee042fc7fa7feb2b41de48eb031b4" virt="non-virtual"><scope>cy_stc_canfd_global_filter_config_t</scope><name>rejectRemoteFramesStandard</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>